namespace CMSMicroservice.Application.InventoryItemCQ.Commands.ReleaseReservedInventory;

public class ReleaseReservedInventoryCommandValidator : AbstractValidator<ReleaseReservedInventoryCommand>
{
    public ReleaseReservedInventoryCommandValidator()
    {
        RuleFor(x => x.Id)
            .GreaterThan(0).WithMessage("شناسه آیتم موجودی معتبر نیست");

        RuleFor(x => x.Quantity)
            .GreaterThan(0).WithMessage("تعداد آزادسازی باید بیشتر از صفر باشد");
    }
}
